> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SOF Questions

> Get the Source of Funds questionnaire questions and answer options



## OpenAPI

````yaml https://core.prod.gnosispay.com/user-api/openapi.json get /source-of-funds
openapi: 3.1.0
info:
  title: User Service
  version: 0.0.0
servers: []
security: []
tags:
  - name: Health
  - name: Auth
  - name: User
  - name: Cards
  - name: Phone
  - name: PCI
  - name: Terms
  - name: Source of Funds
paths:
  /source-of-funds:
    get:
      tags:
        - Source of Funds
      summary: Get SOF Questions
      description: Get the Source of Funds questionnaire questions and answer options
      operationId: SourceOfFunds_getQuestions
      parameters: []
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSOFQuestionsResponse'
        '401':
          description: Access is unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSOFQuestionsUnauthorized'
        '404':
          description: The server cannot find the requested resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSOFQuestionsNotFound'
        '502':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSOFQuestionsBadGateway'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    GetSOFQuestionsResponse:
      type: object
      required:
        - questions
        - version
      properties:
        questions:
          type: array
          items:
            $ref: '#/components/schemas/SOFQuestion'
        version:
          type: integer
          format: int32
    GetSOFQuestionsUnauthorized:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    GetSOFQuestionsNotFound:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    GetSOFQuestionsBadGateway:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    SOFQuestion:
      type: object
      required:
        - id
        - question
        - answers
      properties:
        id:
          type: string
        question:
          type: string
        answers:
          type: array
          items:
            type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````